SOCKSTAT(1)

NAME
sockstat - list open sockets

SYNOPSIS
sockstat [-46clnu] [-f address_family] [-p ports]

DESCRIPTION
The sockstat command lists open Internet or UNIX domain sockets.

The following options are available:

-4  Show AF_INET (IPv4) sockets.

-6  Show AF_INET6 (IPv6) sockets.

-c  Show connected sockets.

-f address_family
    Limit listed sockets to those of the specified address_family. The following address families are recognized: inet, for AF_INET; inet6, for AF_INET6; and local or unix, for AF_LOCAL.

-l  Show listening sockets.

-n  Numeric output only. No attempt will be made to look up symbolic names for addresses and ports.

-p ports
    Only show Internet sockets if either the local or foreign port number is on the specified list. The ports argument is a comma-separated list of port numbers and ranges specified as first and last port separated by a dash.

-u  Show AF_LOCAL (UNIX) sockets.

If neither -4, -6, nor -u are specified, sockstat will list sockets in all three domains.

If neither -c nor -l are specified, sockstat will list both listening and connected sockets, as well as those sockets that are in neither state.

The information listed for each socket is:

USER
    The user who owns the socket.

COMMAND
    The command which holds the socket.

PID The process ID of the command which holds the socket.

FD  The file descriptor number of the socket.

PROTO
    The transport protocol associated with the socket for Internet sockets, or the type of socket (stream, seqpacket or datagram) for UNIX sockets.

LOCAL ADDRESS
    For Internet sockets, this is the address to which the local end of the socket is bound (see getsockname(2)). For bound UNIX sockets, it is the socket's filename or “-”.

FOREIGN ADDRESS
    The address to which the foreign end of the socket is bound (see getpeername(2)) or “-” for unconnected UNIX sockets.

SEE ALSO
fstat(1), netstat(1), inet(4), inet6(4), unix(4)

HISTORY
The sockstat command appeared in FreeBSD 3.1. It was then rewritten for NetBSD 3.0.

AUTHORS
-nosplit This version of the sockstat command was written by Andrew Brown <atatat@NetBSD.org>. This manual page was written by Dag-Erling Smørgrav <des@FreeBSD.org> and was adapted to match the NetBSD implementation by Andrew Brown <atatat@NetBSD.org>.